------------------------------------------------------------------------------------
--Name:  	juqing62
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-03-12
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(134, 69)
CppScriptMgr:SetViewScale(400)
local Player_1 = CppScriptMgr:AddSimplePlayer(1100577, 137, 72, "", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(490)
Player_1:SetAction(101)
Player_1:Say("Don`t blink, it`s time to witness a miracle!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Magic hat, do your trick, bring out a kitten, quick quick quick!", 1500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1730)
local Effect_1 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 137, 72, 33, 1, 1, 1)
Effect_1:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(500)
Player_1:SetHair(78, 1)
CppScriptMgr:WaitMilSec(250)
local effect_0 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 137, 72, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(1250)
Player_1:Say("My head! My head!", 2000)
Player_1:SetAction(170)
CppScriptMgr:WaitMilSec(2250)